Core - Bug # 55392

Status: Resolved Priority: Should have
Author: conenergy agentur Category: Install Tool
Created: 2014-01-28 Assigned To:

Updated: 2014-03-10 Due date:

TYPO3 Version: 6.1

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Missing opcode cache throws warning (instead of notice) and triggers mail
Description

If you run TYPOS on a system without opcode cache (as in many shared hosting environments, e.g. Mittwald), the install tool registers
this and shows a warning.

I'd say while APC is certainly a very good addon and everyone should try to use it with TYPOS3 because of performance, sadly not
everyone can use it. The system runs fine without. Nothing to really "warn" about.

Also, if you have a cronjob running each night, triggering the scheduler running a "report" task, you will get a mail with (by the way 2)
failed tests/warnings each night.

It is only a tiny change neccesary:
File typo3/sysext/install/Classes/SystemEnvironment/Check.php

Line 747:

change from

$status = new WarningStatus();
to

$status = new NoticeStatus();

Related issues:
related to Core - Bug # 55252: PHP 5.5 and require LocalConfiguration Resolved 2014-01-22
related to Core - Bug # 55694: System-status-updates sends emails about same ... New 2014-02-05

Associated revisions

Revision 9¢35421b - 2014-03-10 12:35 - Sebastian Miiller

[BUGFIX] Change notification level for missing opcode cache

Now the notification level is set to notice instead of warning.
Therefore no email notification will be send if the user has not
set his cache or his cache has only medium performance

Resolves: #55392

Releases: 6.2

Change-Id: 190758ba658477a4b92f1a110228eb7950648ec39
Reviewed-on: https://review.typo3.0rg/28216

Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History

#1 - 2014-01-28 14:37 - Markus Klein

- Status changed from New to Accepted
- Target version set to next-patchlevel

- Estimated time deleted (0.50)

Hi!

We intended to change that with #55252.

Currently it is being discussed whether this should be Warning or Notice, but your point is very valid.

#2 - 2014-01-28 17:34 - Alexander Opitz

- Complexity deleted (no-brainer)

I would like to discuss this issue here, as #55252 addresses a very different problem.

At first I'd like to know, what is the difference between error and warning, beside the fact that they have different colors in the install and report tool.

So | have 3 solutions in my mind:

1) Only report Error in the mail (to get a difference in handling for error/warning).

2) Add functionality to acknowledge Errors/Warnings, so they don't get mailed every time (and maybe show them in another style in install/report).

3) Change opcode cache check from Warning to Notice, but get more attention on notices in installer.

1) and 3) would be easy but 2) would be perfect also for other errors/warnings.

Any more solutions around?

#3 - 2014-01-28 17:40 - Alexander Opitz

For example the "PHP Maximum upload filesize too small" Error is something | know on some systems and | do not need any report about that.

#4 - 2014-02-05 12:31 - Stefan Neufeind

Maybe #55694 is a dupe of that.

#5 - 2014-03-10 12:24 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28216
#6 - 2014-03-10 12:26 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28216

#7 - 2014-03-10 13:30 - Sebastian Miiller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9c35421bff3d0055bcca5b38e8d9cfdfcc13bb25.
